/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2018 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.kafka.model;

import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;

/**
 * POJO representing a job for the datafetcher created by the service
 */
public class DataFetcherJob {

    private String idwsMessageId;

    private JobType jobType;

    private String citizenCpr;

    public String getIdwsMessageId() {
        return idwsMessageId;
    }

    public DataFetcherJob setIdwsMessageId(String idwsMessageId) {
        this.idwsMessageId = idwsMessageId;
        return this;
    }

    public JobType getJobType() {
        return jobType;
    }

    public DataFetcherJob setJobType(JobType jobType) {
        this.jobType = jobType;
        return this;
    }

    public String getCitizenCpr() {
        return citizenCpr;
    }

    public DataFetcherJob setCitizenCpr(String citizenCpr) {
        this.citizenCpr = citizenCpr;
        return this;
    }


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;

        if (o == null || getClass() != o.getClass()) return false;

        DataFetcherJob that = (DataFetcherJob) o;

        return new EqualsBuilder().append(jobType, that.jobType).append(citizenCpr, that.citizenCpr).isEquals();
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder(17, 37).append(jobType).append(citizenCpr).toHashCode();
    }

    @Override
    public String toString() {
        return "DataFetcherJob{" +
                "idwsMessageId='" + idwsMessageId + '\'' +
                ", jobType=" + jobType +
                ", citizenCpr='" + citizenCpr + '\'' +
                '}';
    }
}
